"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// RN URL has a lots of know issues. So we have to polyfill it.
require("react-native-url-polyfill/auto"); // we have to do this before forge
// necessary for joi, through https://github.com/sideway/address
global.TextEncoder = class TextEncoder {
    constructor() {
        this.encoding = 'utf-8';
    }
    encode(s) {
        return Buffer.from(s, 'utf-8'); // buffer is a subclass of UInt8Array
    }
    encodeInto(s, uint8Array) {
        throw new Error('Not implemented');
    }
};
//# sourceMappingURL=patches.js.map